package com.ruoyi.powerdistribution.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 时户数考核规则明细对象 pdm_examine_role_detail
 *
 * @author ruoyi
 * @date 2024-12-30
 */
public class PdmExamineRoleDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 目标ID */
    @Excel(name = "目标ID")
    private Long targetId;

    /** 完成时户数名称 */
    @Excel(name = "完成时户数名称")
    private String detailName;

    /** 最小区间 */
    @Excel(name = "最小区间")
    private Integer minNum;

    /** 最大区间 */
    @Excel(name = "最大区间")
    private Integer maxNum;

    /** 党政一把手考核金额 */
    @Excel(name = "党政一把手考核金额")
    private BigDecimal manageAmt;

    /** 分管副经理 */
    @Excel(name = "分管副经理")
    private BigDecimal manageAssistantAmt;

    /** 部室主任考核金额 */
    @Excel(name = "部室主任考核金额")
    private BigDecimal deptDirectorAmt;

    /** 部室分管主任考核金额 */
    @Excel(name = "部室分管主任考核金额")
    private BigDecimal deptDirectorAssistantAmt;

    /** 部室责任专责考核金额 */
    @Excel(name = "部室责任专责考核金额")
    private BigDecimal deptManageAmt;

    /** 总负责人考核金额 */
    @Excel(name = "总负责人考核金额")
    private BigDecimal principAmt;

    /** 工作负责人考核金额 */
    @Excel(name = "工作负责人考核金额")
    private BigDecimal workPrincipAmt;

    /** 设备主人考核金额 */
    @Excel(name = "设备主人考核金额")
    private BigDecimal ownerAmt;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTargetId(Long targetId)
    {
        this.targetId = targetId;
    }

    public Long getTargetId()
    {
        return targetId;
    }
    public void setDetailName(String detailName)
    {
        this.detailName = detailName;
    }

    public String getDetailName()
    {
        return detailName;
    }
    public void setMinNum(Integer minNum)
    {
        this.minNum = minNum;
    }

    public Integer getMinNum()
    {
        return minNum;
    }
    public void setMaxNum(Integer maxNum)
    {
        this.maxNum = maxNum;
    }

    public Integer getMaxNum()
    {
        return maxNum;
    }
    public void setManageAmt(BigDecimal manageAmt)
    {
        this.manageAmt = manageAmt;
    }

    public BigDecimal getManageAmt()
    {
        return manageAmt;
    }
    public void setManageAssistantAmt(BigDecimal manageAssistantAmt)
    {
        this.manageAssistantAmt = manageAssistantAmt;
    }

    public BigDecimal getManageAssistantAmt()
    {
        return manageAssistantAmt;
    }
    public void setDeptDirectorAmt(BigDecimal deptDirectorAmt)
    {
        this.deptDirectorAmt = deptDirectorAmt;
    }

    public BigDecimal getDeptDirectorAmt()
    {
        return deptDirectorAmt;
    }
    public void setDeptDirectorAssistantAmt(BigDecimal deptDirectorAssistantAmt)
    {
        this.deptDirectorAssistantAmt = deptDirectorAssistantAmt;
    }

    public BigDecimal getDeptDirectorAssistantAmt()
    {
        return deptDirectorAssistantAmt;
    }
    public void setDeptManageAmt(BigDecimal deptManageAmt)
    {
        this.deptManageAmt = deptManageAmt;
    }

    public BigDecimal getDeptManageAmt()
    {
        return deptManageAmt;
    }
    public void setPrincipAmt(BigDecimal principAmt)
    {
        this.principAmt = principAmt;
    }

    public BigDecimal getPrincipAmt()
    {
        return principAmt;
    }
    public void setWorkPrincipAmt(BigDecimal workPrincipAmt)
    {
        this.workPrincipAmt = workPrincipAmt;
    }

    public BigDecimal getWorkPrincipAmt()
    {
        return workPrincipAmt;
    }
    public void setOwnerAmt(BigDecimal ownerAmt)
    {
        this.ownerAmt = ownerAmt;
    }

    public BigDecimal getOwnerAmt()
    {
        return ownerAmt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("targetId", getTargetId())
            .append("detailName", getDetailName())
            .append("minNum", getMinNum())
            .append("maxNum", getMaxNum())
            .append("manageAmt", getManageAmt())
            .append("manageAssistantAmt", getManageAssistantAmt())
            .append("deptDirectorAmt", getDeptDirectorAmt())
            .append("deptDirectorAssistantAmt", getDeptDirectorAssistantAmt())
            .append("deptManageAmt", getDeptManageAmt())
            .append("principAmt", getPrincipAmt())
            .append("workPrincipAmt", getWorkPrincipAmt())
            .append("ownerAmt", getOwnerAmt())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
